function run_SMP(datafile,discR,maxPattSize)

%Input:
%  - datafile is the data file in which, there should be two variables, 
%	trans_data: binary matrix, each row is a sample, and each column is an item, a 1' in (i,j) means sample i has item j
%	classnew: a binary column vector, which tells class label for each of the sample
% - discR: the threshold for SMP defined in the paper
% - maxPattSize: integer format value that stops the program once patterns of size maxPattSize have been processed (0 means no restriction)
%
%Output:
% a txt file named "result_XXX_discRXX_maxPattSizeXX" with each row is a pattern
%
%Example run:
%  run_SMP('testdata',0.2,0)
 
sup = discR;
eps = 0;
filter = 0.9;
imp = -1; 
k = 2;

load (datafile)

file_result=sprintf('result_%s_discR%d_maxPattSize%d',datafile,round(sup*100),maxPattSize)
fid = fopen(file_result,'w');
fclose(fid);

func_supmax(sup,eps,discR,trans_data,classnew,filter,k,imp,maxPattSize,file_result);
